/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

#define A0_to_D0_1_Datapath_1_F0_SINGLE_BUFFER_SET_custom \
    CY_SET_REG8(\
        ((reg8 *) A0_to_D0_1_Datapath_1_u0__DP_AUX_CTL_REG), 0x01u | \
        CY_GET_REG8(((reg8 *) A0_to_D0_1_Datapath_1_u0__DP_AUX_CTL_REG)))
        
int main(void)
{
    __enable_irq(); /* Enable global interrupts. */
    /* Enable CM4.  CY_CORTEX_M4_APPL_ADDR must be updated if CM4 memory layout is changed. */
    Cy_SysEnableCM4(CY_CORTEX_M4_APPL_ADDR); 

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    A0_to_D0_1_Datapath_1_F0_SINGLE_BUFFER_SET_custom;
    *A0_to_D0_1_Datapath_1_D0_PTR = 10;
    *A0_to_D0_1_Datapath_1_D1_PTR = 20;
    Control_Reg_1_Write(1);
    while(!(Status_Reg_1_Read() & 1))
    {
    }
    volatile uint8_t D0 = *A0_to_D0_1_Datapath_1_D0_PTR;
    volatile uint8_t A0 = *A0_to_D0_1_Datapath_1_A0_PTR;
    volatile uint8_t F0 = *A0_to_D0_1_Datapath_1_F0_PTR;
    volatile uint8_t D1 = A0_to_D0_1_Datapath_1_D1_REG; // breakpoint here and check D0==15, F0==15

    for(;;)
    {
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
